karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Giuseppe Gerla <giuseppe.ge...@gmail.com>
Subject Re: [INFO] Change in EIK version
Date Fri, 21 Feb 2014 08:55:07 GMT
Hi all
I'm not able to build the eik-2.3.1.

This is the error:

Apache Karaf :: EIK :: Manual ..................... FAILURE

[ERROR] Failed to execute goal
org.fusesource.scalate:maven-scalate-plugin:1.5.1:sitegen-no-fork
(generate-htmls) on project manual: An API incompatibility was encountered
during configuration of mojo
 org.fusesource.scalate:maven-scalate-plugin:1.5.1:sitegen-no-fork:
java.lang.NoSuchMethodError:
org.codehaus.plexus.component.configurator.converters.special.ClassRealmConverter.<init>(Lorg/codehaus/
classworlds/ClassRealm;)V


My mvn -version output:

Apache Maven 3.1.0 (893ca28a1da9d5f51ac03827af98bb730128f9f2; 2013-06-28
04:15:32+0200)
Maven home: D:\Dev\maven-3.1.0
Java version: 1.6.0_38, vendor: Sun Microsystems Inc.
Java home: C:\Program Files (x86)\Java\jdk1.6.0_38\jre
Default locale: it_IT, platform encoding: Cp1252
OS name: "windows 7", version: "6.1", arch: "x86", family: "windows"


Thanks
Giuseppe


2014-02-21 8:34 GMT+01:00 Filippo Balicchia <fbalicchia@gmail.com>:

> Hi,
>
> I don't know if this the correct thread, if no i'm sorry.
>
>
> I started testing and either version 2.x  and version 3 with Kepler,
> and noticed that the project, target platform creation with its setting
> have no problem.
> But when o try create e new Osgi Framework  from run configuration
>
> I get
>
> java.lang.IllegalStateException: Target platform is not set from Karaf
> project !
> at
>
> org.apache.karaf.eik.ui.KarafLaunchConfigurationInitializer.loadKarafPlatform(KarafLaunchConfigurationInitializer.java:243)
> at
>
> org.apache.karaf.eik.ui.KarafLaunchConfigurationInitializer.initialize(KarafLaunchConfigurationInitializer.java:91)
> at
>
> org.eclipse.pde.ui.launcher.OSGiLauncherTabGroup.setDefaults(OSGiLauncherTabGroup.java:53)
> at
>
> org.eclipse.debug.internal.ui.launchConfigurations.LaunchConfigurationTabGroupWrapper.setDefaults(LaunchConfigurationTabGroupWrapper.java:237)
> at
>
> org.eclipse.debug.internal.ui.launchConfigurations.CreateLaunchConfigurationAction.performAction(CreateLaunchConfigurationAction.java:79)
> at
>
> org.eclipse.debug.internal.ui.launchConfigurations.AbstractLaunchConfigurationAction$1.run(AbstractLaunchConfigurationAction.java:105)
> at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
> at
>
> org.eclipse.debug.internal.ui.launchConfigurations.AbstractLaunchConfigurationAction.run(AbstractLaunchConfigurationAction.java:108)
> at
>
> org.eclipse.ui.actions.BaseSelectionListenerAction.runWithEvent(BaseSelectionListenerAction.java:168)
> at
>
> org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:584)
> at
>
> org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:501)
> at
>
> org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:411)
> at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
> My target platform is set.
>
> if it is not just my problem I can investigate.
>
> Regards
>
> --Filippo
>
>
> 2014-02-21 8:05 GMT+01:00 Jean-Baptiste Onofré <jb@nanthrax.net>:
>
> > Yes, you are right, I gonna review and update manual as well.
> >
> > Regards
> > JB
> >
> >
> > On 02/20/2014 11:14 PM, Filippo Balicchia wrote:
> >
> >> Thanks for update.
> >> I'm starting to test master 3.0.0-SNAPSHOT
> >>
> >> Regarding the manual, the eik versions seen that begin to increase.
> >> IMHO would be better to have only one
> >>
> >> wdyt ?
> >>
> >> Regards
> >>
> >> --Filippo
> >>
> >>
> >>
> >>
> >>
> >> 2014-02-20 19:50 GMT+01:00 Jean-Baptiste Onofré <jb@nanthrax.net>:
> >>
> >>  Hi all,
> >>>
> >>> just a quick update about EIK branches:
> >>>
> >>> - master has been updated with version 3.0.0-SNAPSHOT and added the
> Karaf
> >>> 3.0.0 support
> >>> - eik-2.x branch has been created, with version 2.3.1-SNAPSHOT
> >>> - 3.0.0-SNAPSHOT and 2.3.1-SNAPSHOT artifacts have been deployed.
> >>>
> >>> I saw a potential issue in the EIK repository. I will try to fix it
> >>> tonight.
> >>>
> >>> If some users can test the new SNAPSHOTs, it would be great.
> >>>
> >>> Thanks,
> >>> Regards
> >>> JB
> >>>
> >>>
> >>> On 02/18/2014 03:39 PM, Jean-Baptiste Onofré wrote:
> >>>
> >>>  Hi all,
> >>>>
> >>>> In order to provide EIK version working with Karaf 2.x and 3.x, I
> >>>> changed the EIK version policy and branching.
> >>>> Now, EIK follows the same rule as the other Karaf subprojects (Cellar
> >>>> and Cave).
> >>>>
> >>>> EIK master is now 3.0.0-SNAPSHOT and focus on the Karaf 3.0.0 support.
> >>>> I gonna create a eik-2.3.x branch (starting with version
> 2.3.1-SNAPSHOT)
> >>>> focus on Karaf 2.3.x support.
> >>>>
> >>>> I cleaned up a bit the EIK branches: the latest EIK version on each
> >>>> branch should work with Eclipse Kepler.
> >>>>
> >>>> I will deploy a first EIK 2.3.1-SNAPSHOT as soon as the branch is
> >>>> created.
> >>>>
> >>>> Just after, I will push the changes on master to allow EIK
> >>>> 3.0.0-SNAPSHOT to work with Karaf 3.0.x. I gonna deploy a SNAPSHOT as
> >>>> well.
> >>>>
> >>>> It should be done by tonight.
> >>>>
> >>>> If some users can make a try on the SNAPSHOTs and get back to me, it
> >>>> would be great and will allow me to prepare both EIK 2.3.1 and 3.0.0
> >>>> release.
> >>>>
> >>>> Thanks in advance for your help.
> >>>>
> >>>> Regards
> >>>> JB
> >>>>
> >>>>
> >>> --
> >>> Jean-Baptiste Onofré
> >>> jbonofre@apache.org
> >>> http://blog.nanthrax.net
> >>> Talend - http://www.talend.com
> >>>
> >>>
> >>
> > --
> > Jean-Baptiste Onofré
> > jbonofre@apache.org
> > http://blog.nanthrax.net
> > Talend - http://www.talend.com
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message